| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__CfPNP_locPres Struct Reference

Precedence and Preemption local presence data. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__boolean * | Enabled
| Local presence flag for Enabled. More...
xsd__boolean * | BPAnnouncement
| Local presence flag for Blocked Precedence Announcement. More...
xsd__boolean * | UPAnnouncement
| Local presence flag for Unauthorized Precedence Announcement. More...
xsd__boolean * | PreemptionTone
| Local presence flag for Preemption Tone. More...
xsd__boolean * | PreemptionToneTimeout
| Local presence flag for Preemption Tone Supervision Timeout. More...
xsd__boolean * | UserAuthenticationRequired
| Local presence flag for ser Authentication Required. More...
xsd__boolean * | PinLen
| Local presence flag for Pin length. More...
xsd__boolean * | Pin
| Local presence flag for Precedence Authentication Code (Pin) More...
xsd__boolean * | MaxPrecedenceLevel
| Local presence flag for Maximum Allowed Precedence Level. More...
xsd__boolean * | NonPreemptableUser
| Local presence flag for Non Preemptable User. More...
xsd__boolean * | PrecedenceCallWaitingDisabled
| Local presence flag for Precedence Call Waiting Disabled. More...

## Detailed Description

Precedence and Preemption local presence data.

## Member Data Documentation

## ◆ BPAnnouncement

xsd__boolean* unsp__CfPNP_locPres::BPAnnouncement

Local presence flag for Blocked Precedence Announcement.

## ◆ Enabled

xsd__boolean* unsp__CfPNP_locPres::Enabled

Local presence flag for Enabled.

## ◆ MaxPrecedenceLevel

xsd__boolean* unsp__CfPNP_locPres::MaxPrecedenceLevel

Local presence flag for Maximum Allowed Precedence Level.

## ◆ NonPreemptableUser

xsd__boolean* unsp__CfPNP_locPres::NonPreemptableUser

Local presence flag for Non Preemptable User.

## ◆ Pin

xsd__boolean* unsp__CfPNP_locPres::Pin

Local presence flag for Precedence Authentication Code (Pin)

## ◆ PinLen

xsd__boolean* unsp__CfPNP_locPres::PinLen

Local presence flag for Pin length.

## ◆ PrecedenceCallWaitingDisabled

xsd__boolean* unsp__CfPNP_locPres::PrecedenceCallWaitingDisabled

Local presence flag for Precedence Call Waiting Disabled.

## ◆ PreemptionTone

xsd__boolean* unsp__CfPNP_locPres::PreemptionTone

Local presence flag for Preemption Tone.

## ◆ PreemptionToneTimeout

xsd__boolean* unsp__CfPNP_locPres::PreemptionToneTimeout

Local presence flag for Preemption Tone Supervision Timeout.

## ◆ UPAnnouncement

xsd__boolean* unsp__CfPNP_locPres::UPAnnouncement

Local presence flag for Unauthorized Precedence Announcement.

## ◆ UserAuthenticationRequired

xsd__boolean* unsp__CfPNP_locPres::UserAuthenticationRequired

Local presence flag for ser Authentication Required.

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h